org.eclipse.jetty.annotations

## Class AbstractDiscoverableAnnotationHandler

- java.lang.Object
- - org.eclipse.jetty.annotations.AbstractDiscoverableAnnotationHandler

- All Implemented Interfaces:
    AnnotationParser.DiscoverableAnnotationHandler

      public abstract class AbstractDiscoverableAnnotationHandler
      extends java.lang.Object
      implements AnnotationParser.DiscoverableAnnotationHandler

  DiscoverableAnnotationHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<DiscoveredAnnotation>` | `_annotations`
    `protected WebAppContext` | `_context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDiscoverableAnnotationHandler(WebAppContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAnnotation(DiscoveredAnnotation a)`
    `java.util.List<DiscoveredAnnotation>` | `getAnnotationList()`
    `void` | `resetList()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jetty.annotations.AnnotationParser.DiscoverableAnnotationHandler

      `handleClass, handleField, handleMethod`

- - ### Field Detail

    - #### _context

          protected WebAppContext _context

    - #### _annotations

          protected java.util.List<DiscoveredAnnotation> _annotations

  - ### Constructor Detail

    - #### AbstractDiscoverableAnnotationHandler

          public AbstractDiscoverableAnnotationHandler(WebAppContext context)

  - ### Method Detail

    - #### getAnnotationList

          public java.util.List<DiscoveredAnnotation> getAnnotationList()

    - #### resetList

          public void resetList()

    - #### addAnnotation

          public void addAnnotation(DiscoveredAnnotation a)

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.